import Request from '../common/request.js';
let request = new Request().http

export function loginByMp(data) {
 	 return request('/app/wx/courseLogin',data,'POST','application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
 }

// 获取真实链接
export function getRealLink(data) {
	return request('/app/course/getRealLink', data, 'GET','','https://h5api.his.cdwjyyh.com');
}

// h5课程简介
export function getH5CourseByVideoId(data) {
	return request('/app/course/getH5CourseByVideoId', data, 'GET','','https://h5api.his.cdwjyyh.com');
}

// h5课程详情加问答
export function getH5CourseVideoDetails(data) {
	return request('/app/course/getH5CourseVideoDetails', data, 'GET','','https://h5api.his.cdwjyyh.com');
}

// 答题发红包
export function courseAnswer(data) {
	return request('/app/course/courseAnswer', data, 'POST', 'application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
}

// // 记录看课时间（旧）
// export function getFinishCourseVideo(data) {
// 	return request('/app/course/getFinishCourseVideo', data, 'POST', 'application/json;charset=UTF-8');
// }

// 记录看课时间（新）
export function getFinishCourseVideo(data) {
	return request('/app/course/updateWatchDuration', data, 'POST', 'application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
}

// 关注客服
export function getIsAddKf(data) {
	return request('/app/course/isAddKf', data, 'POST', 'application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
}

// 流量(缓冲百分比)
export function internetTraffic(data) {
	return request('/app/course/getInternetTraffic', data, 'POST', 'application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
}

// 每十分钟获得积分
export function getIntegralByH5Video(data) {
	return request('/app/course/getIntegralByH5Video', data, 'POST', 'application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
}

// 发送奖励
export function sendReward(data) {
	return request('/app/course/sendReward', data, 'POST', 'application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
}

// 播放错误上报
export function getErrMsg(data) {
	return request('/app/course/getErrMsg', data, 'POST', 'application/x-www-form-urlencoded','https://h5api.his.cdwjyyh.com');
}


// 获取getWxConfig
export function getWxConfig(data) {
	return request('/app/wx/mp/getWxConfig', data, 'GET','','https://h5api.his.cdwjyyh.com');
}

 //获取弹幕列表
 export function getDanmuList(videoId) {
 	 return request('/barrage/barrage/list/'+videoId,null,'GET','','https://h5api.his.cdwjyyh.com');
 }
 
 // 保存评论数据
 export function saveMsg(data, type) {
 	return request('/app/course/saveMsg', data, 'POST', 'application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
 }
 
 // 撤销评论
 export function revokeMsg(data, type) {
 	return request('/app/course/revokeMsg', data, 'PUT', 'application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
 }
 
 // 获取历史评论数据
 export function getComments(data, type) {
 	return request('/app/course/getComments', data, 'GET','','https://h5api.his.cdwjyyh.com');
 }
 
 // 错误日志未知异常，请联系管理员
 export function errorLogUpload(data, type) {
 	return request('/app/common/errorLogUpload', data, 'POST','','https://h5api.his.cdwjyyh.com');
 }
 
 export function getTypeTree(data, type) {
 	return request('/app/user/complaint/getTypeTree', null, 'GET','','https://h5api.his.cdwjyyh.com');
 }
 export function complaintRecord(data, type) {
 	return request('/app/user/complaint/record', data, 'POST','application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
 }
 
 export function uploadOSS(data, type) {
 	return request('/app/common/uploadOSS', data, 'POST','application/json;charset=UTF-8','https://h5api.his.cdwjyyh.com');
 }
 export function getConfigByKey(data) {
 	 return request('/app/common/getConfigByKey',data,'GET','','https://h5api.his.cdwjyyh.com');
 }
 
 export function checkCourseLogin(data) {
 	 return request('/app/course/checkLogin',data,'GET','','https://h5api.his.cdwjyyh.com');
 }